package org.jeecg.modules.xcx.clockin.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.xcx.clockin.req.*;

public interface IClockinService {




    /**
     * 打卡
     * @param clockInReq
     * @return
     */
    Result<?> clockIn(ClockInReq clockInReq);

    /**
     * 打卡详情列表
     * @param clockInLogReq
     * @return
     */
    Result<?> clockInLog(ClockInLogReq clockInLogReq);

    /**
     *统计打卡数据
     * @param clockInTotalReq
     * @return
     */
    Result<?> clockInTotal(ClockInTotalReq clockInTotalReq);

    /**
     * 人脸识别
     * @param verifyFaceReq
     * @return
     */
    Result<?> verifyFace(VerifyFaceReq verifyFaceReq);

    /**
     * 是否在打卡时间段
     * @param token
     * @return
     */
    Result<?> clockInTime(ClockInTimeReq clockInTimeReq);

    /**
     * 获取项目列表分页
     * @param projectListPageReq
     * @return
     */
    Result<?> getProjectListPage(ProjectListPageReq projectListPageReq);

    /**
     * 设置项目的经纬度
     * @param setProjectLocationReq
     * @return
     */
    Result<?> setProjectLocation(SetProjectLocationReq setProjectLocationReq);

    /**
     * 项目
     * @param id
     * @return
     */
    Result<?> getProjectById(String id);

}
